using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;


namespace Platform
{
    public class PlatformUriTranslator : IHttpModule
    {
        public void Init(HttpApplication context)
        {
            context.BeginRequest += new EventHandler(context_BeginRequest);
        }

        public void Dispose()
        {
        }

        void context_BeginRequest(object sender, EventArgs e)
        {
#if SL5
            HttpApplication app = (HttpApplication)sender;
            string url = app.Request.RawUrl;
            if (string.IsNullOrWhiteSpace(url) || url == "\\" || url == "/" ||
                url.StartsWith("/default.aspx", StringComparison.OrdinalIgnoreCase))
            {
                app.Context.RewritePath("/Default.5.aspx");
            }
#else
#endif

        }


    }

}
